import { renderless, api } from '@opentinyvue/vue-renderless/select-dropdown/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import Search from '@opentinyvue/vue-search';
import Button from '@opentinyvue/vue-button';
import { iconClose, iconChevronUp, iconError } from '@opentinyvue/vue-icon';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _vm.state.device === "pc" ? _c("div", {
    staticClass: "absolute z-[1001] border-none rounded bg-color-bg-1 shadow-md mt-1 box-border transition-[transform,opacity] ease-in-out duration-300 origin-top",
    class: [_vm.state.popperClass, _vm.state.visible ? "scale-y-100 opacity-100" : "scale-y-0 opacity-0"],
    style: {
      minWidth: _vm.state.minWidth,
      width: _vm.isDropInheritWidth ? _vm.state.minWidth : "auto"
    },
    attrs: {
      "data-tag": "tiny-select-dropdown tiny-popper"
    },
    on: {
      "mousedown": function mousedown($event) {
        $event.stopPropagation();
      }
    }
  }, [_vm._t("default")], 2) : _c("div", {
    staticClass: "text-sm overflow-hidden",
    attrs: {
      "data-tag": "tiny-select-dropdown tiny-popper"
    }
  }, [_c("div", {
    ref: "mask",
    class: _vm.m("fixed left-0 right-0 top-0 bottom-0 w-full h-full bg-color-bg-7 transition-[opacity] ease-linear duration-100 opacity-0", {
      "opacity-100": _vm.state.visible
    }),
    style: {
      "z-index": _vm.state.zIndex
    },
    on: {
      "click": function click($event) {
        return _vm.closeModal($event, true);
      }
    }
  }), _c("div", {
    ref: "drawerBox",
    class: _vm.m("fixed w-full max-w-full flex flex-col justify-between bg-color-bg-1 shadow-sm border-color-border-separator max-h-[90%]", "min-h-[256px] left-0 bottom-0 border-t-0.5 rounded-t-lg transition-translate ease-linear duration-200 translate-y-full", {
      "translate-y-0": _vm.state.visible
    }),
    style: {
      "z-index": _vm.state.zIndex
    },
    attrs: {
      "data-tag": "tiny-select-dropdown-main"
    },
    on: {
      "mousedown": function mousedown($event) {
        $event.stopPropagation();
      }
    }
  }, [_c("div", {
    staticClass: "px-4 pt-4",
    attrs: {
      "data-tag": "tiny-select-dropdown-header"
    }
  }, [_c("div", {
    staticClass: "flex mb-3"
  }, [_vm.state.showClose ? _c("span", {
    staticClass: "inline-block h-6 leading-6 text-color-brand",
    on: {
      "click": _vm.handleClear
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.clear")))]) : _vm._e(), _c("p", {
    staticClass: "flex-1 text-base text-center leading-5"
  }, [_vm._v(_vm._s(_vm.title))]), _c("icon-close", {
    attrs: {
      "custom-class": "w-5 h-5 ml-4  cursor-pointer"
    },
    on: {
      "click": function click($event) {
        return _vm.closeModal($event, false);
      }
    }
  })], 1), _vm.state.filterable ? _c("div", {
    staticClass: "flex mb-3"
  }, [_c("tiny-search", {
    staticClass: "flex-1 px-0",
    attrs: {
      "placeholder": _vm.searchPlaceholder,
      "clearable": "",
      "big": ""
    },
    on: {
      "input": _vm.debouncedQueryChange
    },
    model: {
      value: _vm.state.query,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "query", $$v);
      },
      expression: "state.query"
    }
  }), _c("span", {
    staticClass: "inline-block h-8 leading-8 text-color-text-secondary shrink-0 ml-3 text-base",
    on: {
      "click": _vm.cancelSearch
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.cancel")))])], 1) : _vm._e()]), _c("div", {
    staticClass: "px-4 pb-4 overflow-auto flex-1 scrollbar-size-0",
    attrs: {
      "data-tag": "tiny-select-dropdown-body"
    }
  }, [_vm._t("default")], 2), _vm.state.multiple ? _c("div", {
    staticClass: "px-4 h-18 flex justify-between items-center bg-color-bg-1 shadow-[0_-2px_6px_rgba(0,0,0,0.08)] shrink-0",
    attrs: {
      "data-tag": "tiny-select-dropdown-footer"
    }
  }, [_c("div", [_c("span", {
    staticClass: "mr-2",
    on: {
      "click": function click($event) {
        return _vm.toggleSelectedBox(true);
      }
    }
  }, [_vm._v(_vm._s(_vm.t("ui.select.selectedNum", {
    num: _vm.state.selected.length
  })))]), _vm.state.selected.length !== 0 ? _c("icon-chevron-up", {
    attrs: {
      "custom-class": "w-5 h-5 cursor-pointer"
    }
  }) : _vm._e()], 1), _c("tiny-button", {
    attrs: {
      "type": "primary",
      "custom-class": "w-28"
    },
    on: {
      "click": _vm.selectDropdownConfirm
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.confirm")))])], 1) : _vm._e(), _vm.state.multiple ? _c("div", {
    staticClass: "absolute left-0 bottom-0 flex flex-col w-full bg-color-bg-1 transition-all ease-linear duration-200 overflow-hidden z-[2001]",
    class: [_vm.state.showSelectedBox ? "h-full p-4" : "h-0 p-0"],
    attrs: {
      "data-tag": "tiny-selected-box"
    }
  }, [_c("div", {
    staticClass: "flex h-10 justify-between items-center",
    attrs: {
      "data-tag": "tiny-selected-box-header"
    }
  }, [_c("span", {
    staticClass: "inline-block h-6 py-1 text-color-brand",
    on: {
      "click": function click($event) {
        return _vm.deleteSelected("", true);
      }
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.clear")))]), _c("icon-close", {
    attrs: {
      "custom-class": "w-5 h-5 ml-4 cursor-pointer"
    },
    on: {
      "click": function click($event) {
        return _vm.toggleSelectedBox(false);
      }
    }
  })], 1), _c("div", {
    staticClass: "flex-1 overflow-auto mb-3",
    attrs: {
      "data-tag": "tiny-selected-box-body"
    }
  }, [_c("ul", _vm._l(_vm.state.selectedArr, function(item, index) {
    return _c("li", {
      key: (item.value || "") + index,
      staticClass: "flex h-12 justify-between items-center"
    }, [_c("span", {
      staticClass: "mr-4 flex-1 leading-5 line-clamp-2"
    }, [_vm._v(_vm._s(item.label))]), _c("icon-error", {
      attrs: {
        "custom-class": "w-5 h-5 cursor-pointer fill-color-none-hover"
      },
      on: {
        "click": function click($event) {
          return _vm.deleteSelected(item);
        }
      }
    })], 1);
  }), 0)]), _c("div", {
    staticClass: "text-center",
    attrs: {
      "data-tag": "tiny-selected-box-footer"
    }
  }, [_c("tiny-button", {
    attrs: {
      "type": "primary",
      "custom-class": "w-full"
    },
    on: {
      "click": _vm.selectedBoxConfirm
    }
  }, [_vm._v(_vm._s(_vm.t("ui.base.confirm")))])], 1)]) : _vm._e()])]);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  components: {
    TinySearch: Search,
    TinyButton: Button,
    IconClose: iconClose(),
    IconChevronUp: iconChevronUp(),
    IconError: iconError()
  },
  props: [].concat(props, ["placement", "boundariesPadding", "popperOptions", "visibleArrow", "appendToBody", "transformOrigin", "reference", "popper", "offset", "modelValue", "arrowOffset", "isDropInheritWidth", "title", "closeByMask", "searchPlaceholder"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
